Loading...
Searching...
No Matches
MSNumpress.cpp File Reference
`#include <iostream>`
`#include <cmath>`
`#include <climits>`
`#include <algorithm>`
`#include "MSNumpress.hpp"`
Include dependency graph for MSNumpress.cpp:

Go to the source code of this file.

## Namespaces

namespace | ms
namespace | ms::numpress
namespace | ms::numpress::MSNumpress

## Functions

static bool | ms::numpress::MSNumpress::is_little_endian ()
static void | ms::numpress::MSNumpress::encodeFixedPoint (double fixedPoint, unsigned char *result)
static double | ms::numpress::MSNumpress::decodeFixedPoint (const unsigned char *data)
static void | ms::numpress::MSNumpress::encodeInt (const unsigned int x, unsigned char *res, size_t *res_length)
static void | ms::numpress::MSNumpress::decodeInt (const unsigned char *data, size_t *di, size_t max_di, size_t *half, unsigned int *res)
double | ms::numpress::MSNumpress::optimalLinearFixedPointMass (const double *data, size_t dataSize, double mass_acc)
double | ms::numpress::MSNumpress::optimalLinearFixedPoint (const double *data, size_t dataSize)
size_t | ms::numpress::MSNumpress::encodeLinear (const double *data, size_t dataSize, unsigned char *result, double fixedPoint)
size_t | ms::numpress::MSNumpress::decodeLinear (const unsigned char *data, const size_t dataSize, double *result)
void | ms::numpress::MSNumpress::encodeLinear (const std::vector< double > &data, std::vector< unsigned char > &result, double fixedPoint)
void | ms::numpress::MSNumpress::decodeLinear (const std::vector< unsigned char > &data, std::vector< double > &result)
size_t | ms::numpress::MSNumpress::encodeSafe (const double *data, const size_t dataSize, unsigned char *result)
size_t | ms::numpress::MSNumpress::decodeSafe (const unsigned char *data, const size_t dataSize, double *result)
size_t | ms::numpress::MSNumpress::encodePic (const double *data, size_t dataSize, unsigned char *result)
size_t | ms::numpress::MSNumpress::decodePic (const unsigned char *data, const size_t dataSize, double *result)
void | ms::numpress::MSNumpress::encodePic (const std::vector< double > &data, std::vector< unsigned char > &result)
void | ms::numpress::MSNumpress::decodePic (const std::vector< unsigned char > &data, std::vector< double > &result)
double | ms::numpress::MSNumpress::optimalSlofFixedPoint (const double *data, size_t dataSize)
size_t | ms::numpress::MSNumpress::encodeSlof (const double *data, size_t dataSize, unsigned char *result, double fixedPoint)
size_t | ms::numpress::MSNumpress::decodeSlof (const unsigned char *data, const size_t dataSize, double *result)
void | ms::numpress::MSNumpress::encodeSlof (const std::vector< double > &data, std::vector< unsigned char > &result, double fixedPoint)
void | ms::numpress::MSNumpress::decodeSlof (const std::vector< unsigned char > &data, std::vector< double > &result)

## Variables

const int | ms::numpress::MSNumpress::ONE = 1
bool | ms::numpress::MSNumpress::IS_LITTLE_ENDIAN = is_little_endian()